# eAcceleratorLocker Class Reference
[Different locking methods implementation]

Inheritance diagram for eAcceleratorLocker:
[legend]

List of all members.

## Public Member Functions

| get ($key)
| acquire lock
| free ($key)
| release lock
| drop ($key)
| completely remove lock
| clean ()
| drop all acquired/released locks

## Detailed Description

See also:
  http://eaccelerator.net/

Definition at line 17 of file eAcceleratorLocker.class.php.

## Member Function Documentation

eAcceleratorLocker::clean | ( |  | ) |

drop all acquired/released locks

Reimplemented from BaseLocker.

Definition at line 34 of file eAcceleratorLocker.class.php.

eAcceleratorLocker::drop | ( | $ | key | ) |

completely remove lock

Reimplemented from BaseLocker.

Definition at line 29 of file eAcceleratorLocker.class.php.

References free().

Here is the call graph for this function:

eAcceleratorLocker::free | ( | $ | key | ) |

release lock

Reimplemented from BaseLocker.

Definition at line 24 of file eAcceleratorLocker.class.php.

Referenced by drop().

eAcceleratorLocker::get | ( | $ | key | ) |

acquire lock

Reimplemented from BaseLocker.

Definition at line 19 of file eAcceleratorLocker.class.php.

The documentation for this class was generated from the following file:

- core/Cache/eAcceleratorLocker.class.php